#
# Conditional build:
%bcond_without	mmx		# without MMX and MMX2
%bcond_without	sse		# without SSE
%bcond_without	sse2		# without SSE2
%bcond_without	altivec		# without altivec
%bcond_without	static_libs	# don't build static library
#
%ifnarch i586 i686 pentium3 pentium4 athlon %{x8664}
%undefine	with_mmx
%endif
%ifnarch i686 pentium3 pentium4 athlon %{x8664}
%undefine	with_sse
%endif
%ifnarch pentium4 %{x8664}
%undefine	with_sse2
%endif
%ifnarch ppc
%undefine	with_altivec
%endif

Summary:	Data types library (list, hash, etc.)
Summary(pl.UTF-8):	Biblioteka struktur danych (lista, hasz, itp.)
Name:		eina
Version:	1.7.9
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	7850c83e11d0f27a62fd85652d74ce58
URL:		http://trac.enlightenment.org/e/wiki/Eina
BuildRequires:	pkgconfig >= 1:0.22
# ememoa-devel >= 0.0.26
# escape (for ps3 platform)
# evil >= 1.7.9 (for win32 platform)
# exotic (for ??? platforms)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Data types library (list, hash, etc.)

%description -l pl.UTF-8
Bilblioteka struktur danych (lista, hasz, itp.).

%package devel
Summary:	Eina header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Eina
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Eina.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Eina.

%package static
Summary:	Static Eina library
Summary(pl.UTF-8):	Statyczna biblioteka Eina
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Eina library.

%description static -l pl.UTF-8
Statyczna biblioteka Eina.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--enable-cpu-mmx%{!?with_mmx:=no} \
	--enable-cpu-sse%{!?with_sse:=no} \
	--enable-cpu-sse2%{!?with_sse2:=no} \
	--enable-cpu-altivec%{!?with_altivec:=no}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libeina.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libeina.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libeina.so
%{_libdir}/libeina.la
%{_includedir}/eina-1
%{_pkgconfigdir}/eina.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libeina.a
%endif
%changelog
* Sat Nov 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eina.git;a=log;h=master

* Sat Nov 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 60d7e84
- updated to 1.7.9

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> fc22e4b
- updated to 1.7.7

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 97b605d
- updated to 1.7.6

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> f7cd172
- updated to 1.7.5

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 6def077
- updated to 1.7.3

* Wed Nov 28 2012 Jakub Bogusz <qboosh@pld-linux.org> bd0d0bb
- updated to 1.7.2

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 071d55e
- updated to 1.7.1

* Mon Sep 03 2012 Jakub Bogusz <qboosh@pld-linux.org> c1846e7
- updated to 1.7.0

* Sat Jun 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 84b5a3a
- updated to 1.2.1

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 43dc5b1
- updated to 1.2.0

* Fri Dec 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 50f6ba0
- updated to 1.1.0
- added sse2 bcond

* Tue May 31 2011 Jakub Bogusz <qboosh@pld-linux.org> dea44bb
- updated to 1.0.1

* Mon Jan 31 2011 Jakub Bogusz <qboosh@pld-linux.org> f318f6c
- typo

* Mon Jan 31 2011 Jakub Bogusz <qboosh@pld-linux.org> 547835f
- LGPL v2.1+
- package ChangeLog

* Mon Jan 31 2011 lisu <lisu@pld-linux.org> 16358d8
- 1.0.0 is now stable

* Sat Dec 04 2010 Jakub Bogusz <qboosh@pld-linux.org> d29a2d9
- updated to 1.0.0.beta3

* Wed Nov 17 2010 Jakub Bogusz <qboosh@pld-linux.org> 735af90
- typo

* Tue Nov 16 2010 witekfl <witekfl@pld-linux.org> 8d4bf52
- 1.0.0.beta2

* Mon Sep 06 2010 Jakub Bogusz <qboosh@pld-linux.org> a464224
- updated to 1.0.0-alpha

* Fri Aug 06 2010 witekfl <witekfl@pld-linux.org> ed31025
- use LATEST

